Subject: Re: bug#31803: Problems in chroot.2, ln.1, test.1, [.1

From: "Eric S. Raymond" <[email-masked]>
Date: Wed, 13 Jun 2018 16:24:23 -0400

Paul Eggert <[email-masked]>:
> Eric S. Raymond wrote:
> > We can cooperate to work around this.  One obvious way: If the
> > square-bracket aliases on your page were marked up as the groff
> > escapes \*[lB] and \*[rB] instead of '[' and ']' they would render the
> > same, but I think I could teach my parser to no longer be confused and
> > I wouldn't have to try to patch them out in favor of a wall of text.
> 
> Something like that should be fine. However, wouldn't it cause the man page
> to fail with traditional troff, as still shipped and supported on Solaris
> 10? In that case, perhaps we could use [\"[ and ]\"] as special markers
> instead of using \*[lB] and \*[rB]; this should work with bold old troff and
> groff, if I understand the proposal correctly.

I see the problem, but I'm afraid my groff-fu is no strong enough to grok your
proposed solution.  Why will those sequences work? What are they doing?
-- 
		<a href="http://www.catb.org/~esr/">Eric S. Raymond</a>

My work is funded by the Internet Civil Engineering Institute: https://icei.org
Please visit their site and donate: the civilization you save might be your own.